summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author Gethyn ThomasQuail <gethyn@bloodbathsoftworks.com>2015-08-14 12:57:12 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-08-14 12:57:12 +0700
commitb25fcc079232b512b7c3f880b895f51b28fd79a6 (patch)
tree17bfda9c725cbffb26dd9e1851654f31ff4f79fd /games
parent3a47515fc589f3ac9bae016b284bc6a1ea4ad0bc (diff)
downloadslackbuilds-b25fcc079232b512b7c3f880b895f51b28fd79a6.tar.gz
slackbuilds-b25fcc079232b512b7c3f880b895f51b28fd79a6.tar.xz
games/qzdl: Added (Qt Doom Launcher).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/qzdl/README4
-rw-r--r--games/qzdl/qzdl.SlackBuild107
-rw-r--r--games/qzdl/qzdl.desktop9
-rw-r--r--games/qzdl/qzdl.info10
-rw-r--r--games/qzdl/slack-desc19
5 files changed, 149 insertions, 0 deletions
diff --git a/games/qzdl/README b/games/qzdl/README
new file mode 100644
index 0000000000..e5f61a7665
--- /dev/null
+++ b/games/qzdl/README
@@ -0,0 +1,4 @@
+A simple Qt launcher for Doom engines. Can be used to play default Doom WADs or custom ones.
+
+Note: The original website seems to be down, so ignore any warnings from the update checker. You can
+disable it in the "Settings" tab.
diff --git a/games/qzdl/qzdl.SlackBuild b/games/qzdl/qzdl.SlackBuild
new file mode 100644
index 0000000000..ed1f610ded
--- /dev/null
+++ b/games/qzdl/qzdl.SlackBuild
@@ -0,0 +1,107 @@
+#!/bin/sh
+
+# Slackware build script for qzdl
+#
+# Copyright 2015 Gethyn ThomasQuail <gethyn@bloodbathsoftworks.com>
+# All rights reserved.
+#
+# Based on:
+# SBo's cmake-template
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=qzdl
+VERSION=${VERSION:-3.2.2.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || tar xvf $CWD/v$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Let's compile!
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+
+# Makes bin directory and copies over executable
+mkdir -p $PKG/usr/bin
+cp -a zdl $PKG/usr/bin
+
+# Makes desktop file related directories
+mkdir -p $PKG/usr/share/applications
+mkdir -p $PKG/usr/share/pixmaps
+
+# Copies over desktop file and icon
+cp -a $CWD/qzdl.desktop $PKG/usr/share/applications
+cp -a res/zdl3.svg $PKG/usr/share/pixmaps
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS CHANGELOG LICENSE README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/qzdl/qzdl.desktop b/games/qzdl/qzdl.desktop
new file mode 100644
index 0000000000..cb38c704bd
--- /dev/null
+++ b/games/qzdl/qzdl.desktop
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Name=qzdl
+GenericName=Launcher for Doom Engines
+Type=Application
+Comment=A Qt launcher for various Doom engines like Chocolate Doom.
+Exec=zdl
+Icon=zdl3
+Terminal=false
+Categories=Game
diff --git a/games/qzdl/qzdl.info b/games/qzdl/qzdl.info
new file mode 100644
index 0000000000..6022144da0
--- /dev/null
+++ b/games/qzdl/qzdl.info
@@ -0,0 +1,10 @@
+PRGNAM="qzdl"
+VERSION="3.2.2.3"
+HOMEPAGE="https://github.com/qbasicer/qzdl"
+DOWNLOAD="https://github.com/qbasicer/qzdl/archive/v3.2.2.3.tar.gz"
+MD5SUM="50e61034d288d57ab3aecbd03dcf946a"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Gethyn ThomasQuail"
+EMAIL="gethyn@bloodbathsoftworks.com"
diff --git a/games/qzdl/slack-desc b/games/qzdl/slack-desc
new file mode 100644
index 0000000000..6d6b6e70cb
--- /dev/null
+++ b/games/qzdl/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler--------------------------------------------------------|
+qzdl: qzdl (Qt Doom Launcher)
+qzdl:
+qzdl: A simple Qt launcher for Doom engines. Can be used to play default Doom
+qzdl: WADs or custom ones.
+qzdl:
+qzdl: Homepage: https://github.com/qbasicer/qzdl
+qzdl:
+qzdl:
+qzdl:
+qzdl:
+qzdl: